# generated by cabal-rpm-2.1.0 --subpackage
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name hslua-module-text
%global pkgver %{pkg_name}-%{version}

%global hsluacore hslua-core-2.2.1
%global hsluamarshalling hslua-marshalling-2.2.1
%global hsluaobjectorientation hslua-objectorientation-2.2.1
%global hsluapackaging hslua-packaging-2.2.1
%global luahs lua-2.2.1
%global subpkgs %{luahs} %{hsluacore} %{hsluamarshalling} %{hsluaobjectorientation} %{hsluapackaging}

# testsuite missing deps: hslua-core hslua-packaging tasty-lua

Name:           ghc-%{pkg_name}
Version:        1.0.3.1
# can only be reset when all subpkgs bumped
Release:        1.rvre0%{?dist}
Summary:        Lua module for text

License:        MIT
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{hsluacore}/%{hsluacore}.tar.gz
Source2:        https://hackage.haskell.org/package/%{hsluamarshalling}/%{hsluamarshalling}.tar.gz
Source3:        https://hackage.haskell.org/package/%{hsluaobjectorientation}/%{hsluaobjectorientation}.tar.gz
Source4:        https://hackage.haskell.org/package/%{hsluapackaging}/%{hsluapackaging}.tar.gz
Source5:        https://hackage.haskell.org/package/%{luahs}/%{luahs}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
BuildRequires:  ghc-base-devel
#BuildRequires:  ghc-hslua-core-devel
#BuildRequires:  ghc-hslua-marshalling-devel
#BuildRequires:  ghc-hslua-packaging-devel
BuildRequires:  ghc-text-devel
%if %{with ghc_prof}
BuildRequires:  ghc-base-prof
#BuildRequires:  ghc-hslua-core-prof
#BuildRequires:  ghc-hslua-marshalling-prof
#BuildRequires:  ghc-hslua-packaging-prof
BuildRequires:  ghc-text-prof
%endif
# for missing dep 'hslua-core':
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-mtl-devel
%if %{with ghc_prof}
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-exceptions-prof
BuildRequires:  ghc-mtl-prof
%endif
# for missing dep 'hslua-marshalling':
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
%if %{with ghc_prof}
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-mtl-prof
%endif
# for missing dep 'hslua-objectorientation':
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-mtl-devel
%if %{with ghc_prof}
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-exceptions-prof
BuildRequires:  ghc-mtl-prof
%endif
# for missing dep 'hslua-packaging':
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
%if %{with ghc_prof}
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-mtl-prof
%endif
# End cabal-rpm deps

%description
UTF-8 aware subset of Lua's `string` module.

This package is part of HsLua, a Haskell framework built around the embeddable
scripting language <https://lua.org Lua>.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development
files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage -l MIT %{hsluacore}
%ghc_lib_subpackage -l MIT %{hsluamarshalling}
%ghc_lib_subpackage -l MIT %{hsluaobjectorientation}
%ghc_lib_subpackage -l MIT %{hsluapackaging}
%ghc_lib_subpackage -l MIT %{luahs}
%endif

%global version %{main_version}


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver} -a1 -a2 -a3 -a4 -a5
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_libs_build %{subpkgs}
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_libs_install %{subpkgs}
%ghc_lib_install
# End cabal-rpm install


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc CHANGELOG.md


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Thu Jun 22 2023 David Abdurachmanov <davidlt@rivosinc.com> - 1.0.3.1-1.rvre0
- Rebuilt for Fedora/RISCV (riscv64)

* Sun Jan 22 2023 Jens Petersen <petersen@redhat.com> - 1.0.3.1-1
- https://hackage.haskell.org/package/hslua-module-text-1.0.3.1/changelog
- refresh to cabal-rpm-2.1.0 with SPDX migration
- new deps

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Jens Petersen <petersen@redhat.com> - 0.3.0.1-3
- rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 0.3.0.1-1
- update to 0.3.0.1

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 17 2020 Jens Petersen <petersen@redhat.com> - 0.2.1-4
- refresh to cabal-rpm-2.0.6

* Wed Feb 19 2020 Jens Petersen <petersen@redhat.com> - 0.2.1-3
- refresh to cabal-rpm-2.0.2

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Jens Petersen <petersen@redhat.com> - 0.2.1-1
- update to 0.2.1

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 17 2019 Jens Petersen <petersen@redhat.com> - 0.1.2.1-8
- refresh to cabal-rpm-0.13

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 28 2018 Jens Petersen <petersen@redhat.com> - 0.1.2.1-6
- revise .cabal

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun  1 2018 Jens Petersen <petersen@redhat.com> - 0.1.2.1-4
- disable the testsuite to preserve hash

* Wed May 30 2018 Jens Petersen <petersen@redhat.com> - 0.1.2.1-3
- bump release over pandoc

* Mon May 28 2018 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.1.2.1-1
- spec file generated by cabal-rpm-0.12.3
